%define major	11
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname %{name} -d

# based on opencascade 6.9.1
%define occtag	6.9.1

# tpaviot-oce version 0.18.3
%define ocegit	0.18.3

Name:		opencascade
Group:		Sciences/Physics
Version:	%{occtag}.%{ocegit}
Release:	%mkrel 1
Summary:	3D modeling & numerical simulation
License:	LGPLv2 with exceptions
URL:		https://github.com/tpaviot/oce
Source0:	https://github.com/tpaviot/oce/archive/OCE-%{ocegit}.tar.gz
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(glew)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(ftgl)
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	cmake
BuildRequires:	pkgconfig(tcl)
BuildRequires:	pkgconfig(tk)
Requires:	pdksh
Requires:	tcl
Requires:	tix
Requires:	tk

%description
Open CASCADE Technology is software development platform freely available
in open source. It includes components for 3D surface and solid modeling,
visualization, data exchange and rapid application development.

Open CASCADE Technology can be best applied in development of numerical
simulation software including CAD/CAM/CAE, AEC and GIS, as well as PDM
applications.

The Technology exists from the mid 1990-s and has already been used by
numerous commercial clients belonging to different domains from software
edition to heavy industry.

%files
%doc LICENSE_LGPL_21.txt OCCT_LGPL_EXCEPTION.txt
%{_datadir}/%{name}

#-----------------------------------------------------------------------
%package	-n %{libname}
Summary:	3D modeling & numerical simulation
Group:		System/Libraries

%description	-n %{libname}
Open CASCADE Technology is software development platform freely available
in open source. It includes components for 3D surface and solid modeling,
visualization, data exchange and rapid application development.

Open CASCADE Technology can be best applied in development of numerical
simulation software including CAD/CAM/CAE, AEC and GIS, as well as PDM
applications.

The Technology exists from the mid 1990-s and has already been used by
numerous commercial clients belonging to different domains from software
edition to heavy industry.

%files		-n %{libname}
%{_libdir}/lib*.so.%{major}
%{_libdir}/lib*.so.%{major}.*

#-----------------------------------------------------------------------
%package	-n %{devname}
Summary:	3D modeling & numerical simulation
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	oce-devel = %{EVRD}

%description	-n %{devname}
Open CASCADE Technology is software development platform freely available
in open source. It includes components for 3D surface and solid modeling,
visualization, data exchange and rapid application development.

Open CASCADE Technology can be best applied in development of numerical
simulation software including CAD/CAM/CAE, AEC and GIS, as well as PDM
applications.

The Technology exists from the mid 1990-s and has already been used by
numerous commercial clients belonging to different domains from software
edition to heavy industry.

%files		-n %{devname}
%{_libdir}/lib*.so
%{_includedir}/%{name}
%{_datadir}/cmake/Modules/*.cmake

#-----------------------------------------------------------------------
%prep
%setup -qn oce-OCE-%{ocegit}
%autopatch -p1

#-----------------------------------------------------------------------
%build
%cmake -DCMAKE_VERBOSE_MAKEFILE=OFF \
	-DOCE_INSTALL_PREFIX=%{_prefix} \
	-DOCE_INSTALL_INCLUDE_DIR=%{_includedir}/%{name} \
	-DOCE_INSTALL_LIB_DIR=%{_libdir} \
	-DOCE_INSTALL_DATA_DIR=%{_datadir}/%{name} \
	-DOCE_INSTALL_SCRIPT_DIR=%{_sysconfdir}/profile.d \
	-DOCE_INSTALL_CMAKE_DATA_DIR=share/cmake/Modules

perl -pi -e 's|/usr//usr|%{_prefix}|;' build_inc/oce-config.h
%make_build



#-----------------------------------------------------------------------
%install
perl -pi -e 's|/usr//usr|%{_prefix}|;' build/env.sh build/env.csh
%make_install -C build

# adjust environment/directories to avoid (too much) script patching
ln -sf %{_libdir} %{buildroot}%{_datadir}/%{name}/lib
ln -sf %{_includedir}/%{name} %{buildroot}%{_datadir}/%{name}/inc
ln -sf %{_datadir}/%{name} %{buildroot}%{_datadir}/%{name}/lin
ln -sf %{_datadir}/%{name} %{buildroot}%{_datadir}/%{name}/Linux


%changelog
* Mon Apr 16 2018 daviddavid <daviddavid> 6.9.1.0.18.3-1.mga6
  (not released yet)
+ Revision: 1219165
- new version 6.9.1 + OCE 0.18.3 (mga#22858)
- new lib major 11
- provide oce-devel in devel pkg

* Mon Feb 08 2016 umeabot <umeabot> 6.7.0.0.15-4.mga6
+ Revision: 950118
- Mageia 6 Mass Rebuild

* Wed Oct 22 2014 umeabot <umeabot> 6.7.0.0.15-3.mga5
+ Revision: 792430
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild
+ fwang <fwang>
- declare license

* Mon Feb 17 2014 fwang <fwang> 6.7.0.0.15-1.mga5
+ Revision: 593533
- 6.7.0.0.15
+ dmorgan <dmorgan>
- Fix includes header to fix build
+ philippem <philippem>
- add include Xlib
- fix build with include glxext

* Sat Oct 19 2013 umeabot <umeabot> 6.5.4.0.12-2.mga4
+ Revision: 527588
- Mageia 4 Mass Rebuild

* Mon Jun 10 2013 wally <wally> 6.5.4.0.12-1.mga4
+ Revision: 441411
- new major 6
- new version 6.5.4 + OCE 0.12

* Sun Jun 09 2013 wally <wally> 6.5.1.0.7.0-3.mga4
+ Revision: 441366
- add patch to fix broken include dir in OCEConfig.cmake
- fix lib major

* Fri Mar 29 2013 gregorybravas <gregorybravas> 6.5.1.0.7.0-2.mga3
+ Revision: 406095
- licence modified

* Mon Mar 18 2013 gregorybravas <gregorybravas> 6.5.1.0.7.0-1.mga3
+ Revision: 403795
- first update for mgarepo
- imported package opencascade

